Bug 3178 - smbcacls won't use $PASSWD or $USER for authentication
smbcacls won't use $PASSWD or $USER for authentication
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Client Tools
3.0.20b
All Linux
: P3 enhancement
: none
Assigned To: Jelmer Vernooij
Samba QA Contact
http://bugs.debian.org/169146
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-17 13:11 UTC by Noël Köthe
Modified: 2009-01-25 13:02 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Noël Köthe 2005-10-17 13:11:56 UTC
Hello,

this is a feature request.:)

smbclient supports the enviroment variables $PASSWD or $USER
smbclient(1):
--8<--
ENVIRONMENT VARIABLES
       The  variable  USER may contain the username of the person using the
client. This informa&#8208;
       tion is used only if the protocol level is high enough to support
session-level passwords.

       The variable PASSWD may contain the password of the person using the
client. This informa&#8208;
       tion is used only if the protocol level is high enough to support
session-level passwords.
--8<--

Is it possible to get this feature into smbcacls?

Thank you.
Comment 1 Jelmer Vernooij 2008-09-29 13:41:30 UTC
I fixed this when I converted smbcacls to use POPT_COMMON_CREDENTIALS in samba 3.
Comment 2 Jelmer Vernooij 2009-01-25 13:02:28 UTC
Fixed in git 21fb0062071f71a617b4b6b7c626e74d354bde62